/**
 * Mainプロセスから呼び出すRendererプロセスのAPI
 * 全てのメソッドの戻り値は必ず void です。
 */
export interface RendererApi {
  /**
   * 実行コマンドを書き出します
   */
  cmd(text: string, args?: string[]): void;

  /**
   * ログを出力します
   */
  log(text: string): void;

  /**
   * エラーログを出力します
   */
  err(text: string): void;

  /**
   * 標準出力を書き出します
   */
  writeLine(text: string): void;

  /**
   * 標準エラーを書き出します
   */
  writeLineErr(text: string): void;
}
